Skip to main content
POST
/
payouts
Create a payout
curl --request POST \
  --url https://api.orqex.com/v1/payouts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 2,
  "currency": "<string>",
  "instrument": {
    "phone_number": "<string>",
    "country": "<string>",
    "account_name": "<string>",
    "account_number": "<string>",
    "bank_code": "<string>",
    "swift_bic": "<string>",
    "address": "<string>",
    "network": "<string>",
    "memo_tag": "<string>"
  },
  "metadata": {}
}
'
{
  "message": "<string>",
  "data": {
    "id": "po_abc123",
    "amount": {
      "value": 5000,
      "formatted": "50.00 XOF",
      "short": "50 XOF",
      "currency": "XOF"
    },
    "method": "momo_mtn",
    "instrument": {
      "id": "ins_abc123",
      "recipient": "<string>",
      "country": "<string>"
    },
    "gateway_transaction_id": "<string>",
    "fee_amount": 123,
    "failure_code": "<string>",
    "failure_message": "<string>",
    "metadata": {},
    "initiated_at": "<string>",
    "completed_at": "<string>",
    "failed_at": "<string>",
    "created_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Project secret key, e.g. sk_live_..., sent as Authorization: Bearer sk_....

Headers

X-Idempotency-Key
string

Safely retry a write without duplicating it. 8-128 chars.

Required string length: 8 - 128

Body

application/json
amount
integer
required

Payout amount in minor units (e.g. 5000 for 50.00). Minimum 1.

Required range: x >= 1
currency
string
required

Three-letter ISO 4217 currency code.

Required string length: 3
method
enum<string>
required

Payout method code.

Available options:
momo_mtn,
momo_orange,
momo_moov,
wallet_wave,
momo_mpesa,
momo_airtel,
momo_tigo,
momo_vodacom,
momo_vodafone,
wallet_djamo,
momo_togocel,
momo_eu_mobile,
momo_e_money,
momo_freemoney,
momo_halopesa,
momo_zamtel,
momo_tnm,
momo_amanata,
wallet_my_nita,
momo_zamani_cash
instrument
object
required

Typed destination for the payout. Fields depend on type:

  • phone: phone_number, country.
  • bank_account: account_name, account_number, bank_code, country, optional swift_bic.
  • crypto_address: address, network, optional memo_tag.
metadata
object

Up to 10 arbitrary key/value pairs, stored on the payout.

Response

Created

message
string
data
object